# Zombie (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.entity, interface: Zombie

Package org.bukkit.entity

# Interface Zombie

All Superinterfaces:
  `Ageable`, `Attributable`, `Audience`, `CommandSender`, `Creature`, `Damageable`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `LivingEntity`, `Lootable`, `Metadatable`, `Mob`, `Monster`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ProjectileSource`, `ServerOperator`, `Sound.Emitter`

All Known Subinterfaces:
  `Drowned`, `Husk`, `PigZombie`, `ZombieVillager`

public interface Zombie extends Monster, Ageable
Represents a Zombie.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canBreakDoors()`
Check if this zombie can break doors
`int`
`getConversionTime()`
Gets the amount of ticks until this entity will be converted to a Drowned as a result of being underwater.
`Villager.Profession`
`getVillagerProfession()`
Deprecated.
`boolean`
`isArmsRaised()`
Check if zombie has arms raised
`boolean`
`isBaby()`
Deprecated.
see `Ageable.isAdult()`
`boolean`
`isConverting()`
Get if this entity is in the process of converting to a Drowned as a result of being underwater.
`boolean`
`isDrowning()`
Check if zombie is drowning
`boolean`
`isVillager()`
Deprecated.
check if instanceof `ZombieVillager`.
`void`
`setArmsRaised(boolean raised)`
Set if zombie has its arms raised
`void`
`setBaby(boolean flag)`
Deprecated.
see `Ageable.setBaby()` and `Ageable.setAdult()`
`void`
`setCanBreakDoors(boolean canBreakDoors)`
Sets if this zombie can break doors.
`void`
`setConversionTime(int time)`
Sets the amount of ticks until this entity will be converted to a Drowned as a result of being underwater.
`void`
`setShouldBurnInDay(boolean shouldBurnInDay)`
Set if this zombie should burn in the sunlight
`void`
`setVillager(boolean flag)`
Deprecated.
must spawn `ZombieVillager`.
`void`
`setVillagerProfession(Villager.Profession profession)`
Deprecated.
`boolean`
`shouldBurnInDay()`
Check if this zombie will burn in the sunlight
`void`
`startDrowning(int drownedConversionTime)`
Deprecated.
See `setConversionTime(int)`
`void`
`stopDrowning()`
Stop a zombie from starting the drowning conversion process
`boolean`
`supportsBreakingDoors()`
Checks if this zombie type supports breaking doors.

### Methods inherited from interface org.bukkit.entity.Ageable

`canBreed, getAge, getAgeLock, isAdult, setAdult, setAge, setAgeLock, setBaby, setBreed`

### Methods inherited from interface org.bukkit.attribute.Attributable

`getAttribute, registerAttribute`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlainMessage, sendRichMessage`

### Methods inherited from interface org.bukkit.entity.Damageable

`damage, damage, getAbsorptionAmount, getHealth, getMaxHealth, resetMaxHealth, setAbsorptionAmount, setHealth, setMaxHealth`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.entity.LivingEntity

`addPotionEffect, addPotionEffect, addPotionEffects, attack, clearActiveItem, getActiveItem, getActivePotionEffects, getArrowCooldown, getArrowsInBody, getArrowsStuck, getBeeStingerCooldown, getBeeStingersInBody, getCanPickupItems, getCategory, getCollidableExemptions, getEyeHeight, getEyeHeight, getEyeLocation, getHandRaised, getHandRaisedTime, getHurtDirection, getItemUseRemainingTime, getKiller, getLastDamage, getLastTwoTargetBlocks, getLeashHolder, getLineOfSight, getMaximumAir, getMaximumNoDamageTicks, getMemory, getNoDamageTicks, getPotionEffect, getRemainingAir, getRemoveWhenFarAway, getShieldBlockingDelay, getTargetBlock, getTargetBlock, getTargetBlock, getTargetBlockExact, getTargetBlockExact, getTargetBlockFace, getTargetBlockFace, getTargetBlockInfo, getTargetBlockInfo, getTargetEntity, getTargetEntity, getTargetEntityInfo, getTargetEntityInfo, hasAI, hasLineOfSight, hasLineOfSight, hasPotionEffect, isClimbing, isCollidable, isGliding, isHandRaised, isInvisible, isJumping, isLeashed, isRiptiding, isSleeping, isSwimming, playPickupItemAnimation, playPickupItemAnimation, rayTraceBlocks, rayTraceBlocks, removePotionEffect, setAI, setArrowCooldown, setArrowsInBody, setArrowsStuck, setBeeStingerCooldown, setBeeStingersInBody, setCanPickupItems, setCollidable, setGliding, setHurtDirection, setInvisible, setJumping, setKiller, setLastDamage, setLeashHolder, setMaximumAir, setMaximumNoDamageTicks, setMemory, setNoDamageTicks, setRemainingAir, setRemoveWhenFarAway, setShieldBlockingDelay, setSwimming, swingMainHand, swingOffHand`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.entity.Mob

`getEquipment, getHeadRotationSpeed, getMaxHeadPitch, getPathfinder, getTarget, isAware, isInDaylight, isLeftHanded, lookAt, lookAt, lookAt, lookAt, lookAt, lookAt, setAware, setLeftHanded, setTarget`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### isBaby

@Deprecated boolean isBaby()
Deprecated.
see `Ageable.isAdult()`
Gets whether the zombie is a baby

Returns:
  Whether the zombie is a baby

### setBaby

@Deprecated void setBaby(boolean flag)
Deprecated.
see `Ageable.setBaby()` and `Ageable.setAdult()`
Sets whether the zombie is a baby

Parameters:
  `flag` - Whether the zombie is a baby

### isVillager

@Deprecated boolean isVillager()
Deprecated.
check if instanceof `ZombieVillager`.
Gets whether the zombie is a villager

Returns:
  Whether the zombie is a villager

### setVillager

@Deprecated @Contract("_ -> fail") void setVillager(boolean flag)
Deprecated.
must spawn `ZombieVillager`.

Parameters:
  `flag` - flag

### setVillagerProfession

@Deprecated @Contract("_ -> fail") void setVillagerProfession(Villager.Profession profession)
Deprecated.

Parameters:
  `profession` - profession
See Also:
  - `ZombieVillager.getVillagerProfession()`

### getVillagerProfession

@Deprecated @Nullable @Contract("-> null") Villager.Profession getVillagerProfession()
Deprecated.

Returns:
  profession
See Also:
  - `ZombieVillager.getVillagerProfession()`

### isConverting

boolean isConverting()
Get if this entity is in the process of converting to a Drowned as a result of being underwater.

Returns:
  conversion status

### getConversionTime

int getConversionTime()
Gets the amount of ticks until this entity will be converted to a Drowned as a result of being underwater. When this reaches 0, the entity will be converted.

Returns:
  conversion time
Throws:
  `IllegalStateException` - if `isConverting()` is false.

### setConversionTime

void setConversionTime(int time)
Sets the amount of ticks until this entity will be converted to a Drowned as a result of being underwater. When this reaches 0, the entity will be converted. A value of less than 0 will stop the current conversion process without converting the current entity.

Parameters:
  `time` - new conversion time

### isDrowning

boolean isDrowning()
Check if zombie is drowning

Returns:
  True if zombie conversion process has begun

### startDrowning

@Deprecated void startDrowning(int drownedConversionTime)
Deprecated.
See `setConversionTime(int)`
Make zombie start drowning

Parameters:
  `drownedConversionTime` - Amount of time until zombie converts from drowning

### stopDrowning

void stopDrowning()
Stop a zombie from starting the drowning conversion process

### setArmsRaised

void setArmsRaised(boolean raised)
Set if zombie has its arms raised

Parameters:
  `raised` - True to raise arms

### isArmsRaised

boolean isArmsRaised()
Check if zombie has arms raised

Returns:
  True if arms are raised

### shouldBurnInDay

boolean shouldBurnInDay()
Check if this zombie will burn in the sunlight

Returns:
  True if zombie will burn in sunlight

### setShouldBurnInDay

void setShouldBurnInDay(boolean shouldBurnInDay)
Set if this zombie should burn in the sunlight

Parameters:
  `shouldBurnInDay` - True to burn in sunlight

### canBreakDoors

boolean canBreakDoors()
Check if this zombie can break doors

Returns:
  True if zombie can break doors

### setCanBreakDoors

void setCanBreakDoors(boolean canBreakDoors)
Sets if this zombie can break doors. Check `supportsBreakingDoors()` to see if this zombie type will even be affected by using this method.

Parameters:
  `canBreakDoors` - True if zombie can break doors

### supportsBreakingDoors

boolean supportsBreakingDoors()
Checks if this zombie type supports breaking doors. `Drowned` do not have support for breaking doors so using `setCanBreakDoors(boolean)` on them has no effect.

Returns: